Problemas com dependências (Spotify)

1. Problemas com dependências (Spotify)

m4g0 r00t
m4g0r00t

(usa Kali)

Enviado em 05/08/2018 - 11:25h

Bom amigos, estou querendo instalar o Spotify Client na minha dist, porém ele depende (libcurl3) o problema é quanto eu instalo a depência pelo, apt-get libcurl3, ele remove outros pacotes que eu não queria, já tentei instalar manualmente pelo dpkg -i mas não consigo instalar!


  


2. Re: Problemas com dependências (Spotify)

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 05/08/2018 - 11:42h

-como vc tentou instalar spotify ?
-qual nome-versão do linux vc está usando???


3. Re: Problemas com dependências (Spotify)

Mauriciodez
Mauriciodez

(usa Debian)

Enviado em 05/08/2018 - 11:43h

velho ... ideias

* Kali é uma distro ferramenta, logo não foi feita para instalar perfumarias, mas é problema seu ter ou não bugs.
* Spotify Web é a mesma coisa do Spotify cliente, com a vantagem de não usar centenas de MB do hd., pq não usar???

------------------------------------------| Linux User #621728 |-----------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------| Linux User #621728 |-----------------------------------------



4. Re: Problemas com dependências (Spotify)

Guilherme Pereira Machado
Guitto

(usa Gentoo)

Enviado em 05/08/2018 - 12:24h

Como disse um dos amigos acima, o Kali Linux tem um propósito diferente. Seria como comprar um carro popular e tentar usar ele como carro de Rali, pode até dar certo, mas vai desprender uma engenharia desnecessária, do que se pegasse algo apropriado, por exemplo.

De qualquer maneira, se tu precisa dele mesmo, já tentou achar um pacote .DEB do Spotify e instalar a partir dele?
O Spotify Web não serviria? Quer ouvir as musicas offline?
Em ultima instancia, o Linux Mint não te atenderia melhor nesse ponto? Afinal, essa é justamente a proposta de uso dele.
____________________________________________________________

Keep It Simple Stupid!


5. Re: Problemas com dependências (Spotify)

m4g0 r00t
m4g0r00t

(usa Kali)

Enviado em 05/08/2018 - 13:35h

clodoaldops escreveu:

-como vc tentou instalar spotify ?
# 1. Add the Spotify repository signing keys to be able to verify downloaded packages
sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 931FF8E79F0876134EDDBDCCA87FF9DF48BF1C90

# 2. Add the Spotify repository
echo deb http://repository.spotify.com stable non-free | sudo tee /etc/apt/sources.list.d/spotify.list

# 3. Update list of available packages
sudo apt-get update

# 4. Install Spotify
sudo apt-get install spotify-client
-qual nome-versão do linux vc está usando???

Kali Linux Light XFCE 4.17.0-kali1-686-pae

Guitto escreveu:

Como disse um dos amigos acima, o Kali Linux tem um propósito diferente. Seria como comprar um carro popular e tentar usar ele como carro de Rali, pode até dar certo, mas vai desprender uma engenharia desnecessária, do que se pegasse algo apropriado, por exemplo.

De qualquer maneira, se tu precisa dele mesmo, já tentou achar um pacote .DEB do Spotify e instalar a partir dele?
O Spotify Web não serviria? Quer ouvir as musicas offline?
Em ultima instancia, o Linux Mint não te atenderia melhor nesse ponto? Afinal, essa é justamente a proposta de uso dele.
____________________________________________________________

Keep It Simple Stupid!


Cara eu já sei que Kali Linux não é pra usar como se fosse Windows, eu uso Kali pra estudar pentest, bom eu só queria instalar o client do spotify, "não pretendo utilizar ele pelo navegador"!


#EDIT https://imgur.com/a/c4zugHA Aqui está algumas screenshots do erro quem tiver conhecimento e puder me ajudar ficarei grato, eu tento instalar a dependência tanto pelo apt-get (porém ele remove outros pacotes que eu não quero) e depois tento instalar manualmente e dar conflito!


6. Re: Problemas com dependências (Spotify)

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 05/08/2018 - 17:47h

-funcionou com ubuntu-1804 + debian-9-stable
https://www.vivaolinux.com.br/dica/Instalando-Spotify-no-Ubuntu-1804-LTS

-como kali é derivado do debian-testing talves funcione



7. Re: Problemas com dependências (Spotify)

m4g0 r00t
m4g0r00t

(usa Kali)

Enviado em 05/08/2018 - 19:43h

clodoaldops escreveu:

-funcionou com ubuntu-1804 + debian-9-stable
https://www.vivaolinux.com.br/dica/Instalando-Spotify-no-Ubuntu-1804-LTS

-como kali é derivado do debian-testing talves funcione

https://i.imgur.com/3EZZ9Hh.png Depende: libcurl3 mas não será instalado.



8. Re: Problemas com dependências (Spotify)

skjdeecedcnfncvnrfcnrncjvnjrnfvjcnjrjvcjrvcj
Londreslondres

(usa Parabola)

Enviado em 05/08/2018 - 19:57h

Rode esse comando:
dpkg --configure -a 



9. Re: Problemas com dependências (Spotify)

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 05/08/2018 - 20:08h

Baixe e instale dependência
http://ftp.us.debian.org/debian/pool/main/c/curl/libcurl3_7.38.0-4+deb8u11_amd64.deb

Depois tente reinstalar Spotify



10. Re: Problemas com dependências (Spotify)

m4g0 r00t
m4g0r00t

(usa Kali)

Enviado em 06/08/2018 - 11:23h

clodoaldops escreveu:

Baixe e instale dependência
http://ftp.us.debian.org/debian/pool/main/c/curl/libcurl3_7.38.0-4+deb8u11_amd64.deb

Depois tente reinstalar Spotify


(dpkg -i ) fala que não pode ser instalado por causa de pacotes conflitantes > https://i.imgur.com/OrqWQRc.png
Tentei instalar a versão mais recente da libcurl3 também dá erro de conflito...



11. Re: Problemas com dependências (Spotify)

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 06/08/2018 - 13:12h

Já usei inuneras derivadas do Debian Stable sem problemas com Spotify
Mas como nunca usei Kali e nem Debian Testing ficarei devendo essa
Sorry


12. Re: Problemas com dependências (Spotify)

Perfil removido
removido

(usa Nenhuma)

Enviado em 06/08/2018 - 13:39h

m4g0r00t escreveu:

[quote]clodoaldops escreveu:

-como vc tentou instalar spotify ?
# 1. Add the Spotify repository signing keys to be able to verify downloaded packages
sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 931FF8E79F0876134EDDBDCCA87FF9DF48BF1C90

# 2. Add the Spotify repository
echo deb http://repository.spotify.com stable non-free | sudo tee /etc/apt/sources.list.d/spotify.list

# 3. Update list of available packages
sudo apt-get update

# 4. Install Spotify
sudo apt-get install spotify-client


Muda esse repositório do stable para o testing, atualize e tente instalar novamente.
deb http://repository.spotify.com testing non-free 


Não tenho certeza se vai funcionar, mas fiz uma busca no google e achei essa resposta de mudar o repositório no fórum do spotify.
https://community.spotify.com/t5/Desktop-Linux/libcurl4/td-p/4411011

Espero que te ajude.

"Failure is an option here. If things are note failing, you are not innovating enough" - Elon Musk 




01 02